export type Byte = number;

export interface IAddress {
  callsign: string;
  ssid: number;
  toString(opts?: { sep?: string; showSsid?: boolean }): string;
  toBytes(last?: boolean): Uint8Array;
}

export interface IFrame {
  destination: IAddress;
  source: IAddress;
  control: number;
  pid?: number;
  info: Uint8Array;
  /** raw AX.25 payload (after HDLC unframing) */
  raw?: Uint8Array;
  toString(): string;
}
